Vendor Sla Resources¶
Update Vendor Sla¶
HTTP Request
PUT /api/vendorSla/update/
📋 Description: Updates the service level agreement (SLA) details for a specified vendor, ensuring that contractual obligations align with current business requirements.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the updated vendor service level agreement details, including performance metrics and compliance requirements. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "responseTime": 0,
6 "resolutionTime": 0,
7 "vendorId": 0,
8 "workOrderTypeId": 0,
9 "workOrderTypeName": "string",
10 "workOrderType": "string",
11 "workOrderPriorityName": "string",
12 "workOrderPriority": "string",
13 "workOrderPriorityTypeId": 0,
14 "objectAvailable": true
15}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "responseTime": 0,
6 "resolutionTime": 0,
7 "vendorId": 0,
8 "workOrderTypeId": 0,
9 "workOrderTypeName": "string",
10 "workOrderType": "string",
11 "workOrderPriorityName": "string",
12 "workOrderPriority": "string",
13 "workOrderPriorityTypeId": 0,
14 "objectAvailable": true
15}
Get All Vendor Sla¶
HTTP Request
GET /api/vendorSla/getAll/{vendorId}
📋 Description: Retrieves all service level agreements (SLAs) associated with the specified vendor, enabling businesses to assess performance metrics and compliance standards.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
vendorId |
path |
integer(int64) |
true |
Unique identifier for the vendor |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdBy": "string",
5 "createdAt": "2019-08-24T14:15:22Z",
6 "responseTime": 0,
7 "resolutionTime": 0,
8 "vendorId": 0,
9 "workOrderTypeId": 0,
10 "workOrderTypeName": "string",
11 "workOrderType": "string",
12 "workOrderPriorityName": "string",
13 "workOrderPriority": "string",
14 "workOrderPriorityTypeId": 0,
15 "objectAvailable": true
16 }
17]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the service level agreements (SLAs) associated with vendors, detailing performance expectations and compliance metrics to ensure alignment with business objectives.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdBy |
string |
false |
none |
Username of who created this resource |
» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
» responseTime |
integer(int64) |
false |
none |
Time of the response |
» resolutionTime |
integer(int64) |
false |
none |
Time of the resolution |
» vendorId |
integer(int64) |
false |
none |
Unique identifier for the vendor |
» workOrderTypeId |
integer(int64) |
false |
none |
Unique identifier for the work order type |
» workOrderTypeName |
string |
false |
none |
Name of the work order type |
» workOrderType |
string |
false |
none |
Type of the work order |
» workOrderPriorityName |
string |
false |
none |
Name of the work order priority |
» workOrderPriority |
string |
false |
none |
Priority of the work order |
» workOrderPriorityTypeId |
integer(int64) |
false |
none |
Unique identifier for the work order priority type |
» objectAvailable |
boolean |
false |
none |
Indicates whether the vendor’s service level agreement (SLA) is currently available for selection in the system. |
Get¶
HTTP Request
GET /api/vendorSla/get/{workOrderTypeId}/{vendorId}
📋 Description: Fetches the Service Level Agreement (SLA) details for a specified work order type and vendor, enabling businesses to assess vendor performance and compliance effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
workOrderTypeId |
path |
integer(int64) |
true |
Unique identifier for the work order type |
vendorId |
path |
integer(int64) |
true |
Unique identifier for the vendor |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "responseTime": 0,
6 "resolutionTime": 0,
7 "vendorId": 0,
8 "workOrderTypeId": 0,
9 "workOrderTypeName": "string",
10 "workOrderType": "string",
11 "workOrderPriorityName": "string",
12 "workOrderPriority": "string",
13 "workOrderPriorityTypeId": 0,
14 "objectAvailable": true
15}